using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SqlServer.Management.Smo;
using Microsoft.SqlServer.Management.Common;

namespace DatabaseObjectSearcher
{
    public class DatabaseSearchResult: IComparable<DatabaseSearchResult>
    {
        private NamedSmoObject result;
        private SqlConnectionInfo connection;

        public DatabaseSearchResult(NamedSmoObject result, SqlConnectionInfo connection)
        {
            this.result = result;
            this.connection = connection;
        }

        public NamedSmoObject Result
        {
            get { return result; }
        }

        public SqlConnectionInfo Connection
        {
            get { return connection; }
        }
    
        #region IComparable<DatabaseSearchResult> Members

        public int  CompareTo(DatabaseSearchResult other)
        {
            return String.Compare(result.Name, other.Result.Name);
        }

        #endregion
    }
}
